Contents
Compass 2.80  Help Contents

For Version 2.7x Users

What’s New

Upgrade Info for Registered Users

Overview

What Is Compass

Design Philosophy

History

Help Desk

Tutorial

Did You Know

FAQs

Template Reference

Template Overview

Template Elements

Template Keywords

Template Examples

User Interface

Menu

Toolbar

Keyboard

Tree Pane

List Pane

Edit Pane

Shareware Information

License Agreement

Benefits of Registration

How to Register

Miscellaneous

Bug Reports/Comments

Acknowledgment

The Author


What's New
What’s New in Version 2.8x

Version 2.80: (01/03/2001)

New features & Improvements

+ Password protection for bookmark files.

+ Lock (auto lock) the application for unauthorized access.

+ Global Hotkey to add bookmarks directly from browsers.

+ Whole word search.

+ Case sensitive search.

+ Customizable toolbar (right-click on the toolbar).

+ Add all links in the current page (IE only).

+ "Intelligent" duplicate URLs finding (Preferences::Duplicates):

http://www.softgauge.com/

= www.softgauge.com	(ignore protocol)

= http://www.softgauge.com	(ignore ending /)

= http://www.softgauge.com:80/	(ignore port number)

+ New group of options (Preferences::Misc 2):

+ Sort [Launch Most Recent] tray icon menu by title.

+ Auto minimize Compass after launching URLs.

+ Remove old description when getting new meta info.

+ Play sound after adding bookmarks from browser.

+ Warn when file modified by other programs.

+ Warn when opening more than ? browsers.

+ New list pane columns: [Description] and [Add Date].

+ New option: No DDE lookup (Preferences::General).

+ New option: Open as read-only (Open File dialog).

+ New option: Add to same level/inside (Add New Item dialog).

+ New command: Repair bookmark file.

+ New command: Add Separator.

+ Improved: Remember last selection when exiting the program.

+ Improved: Drag & Drop, Copy & Paste from Windows Explorer.

+ Improved: Auto select newly added items.

+ Improved: Keep the list pane position after drag & drop.

+ Improved: URL checking for https.

+ Changed: New items will be added after (instead of before) the selected item.

+ Changed: Shortcut key for "Go" now is F4 (was F5).

Bug fixes

+ Fixed: Microsoft VC Run time error when running import wizard.

+ Fixed: Crash related to tree selection.

+ Fixed: New Item Folder color (Explorer style).

+ Fixed: Trailing NEWLINE in descriptions.

+ Fixed: Browser setting's Command line option cannot be removed.

+ Fixed: Description was not saved without leave the description pane.


Upgrade Info for Registered Users
Upgrade Information for Registered Users

This is a free upgrade for all v.2.x registered users.  If you are a registered user of previous versions of Compass, your existing License file will work for this new version.  If your program shows Unregistered and you couldn’t find your License file, please send the author your original registration key, name and email address used for registration.  I will send you a new License file.


What Is Compass

Compass has been a popular and powerful bookmark manager utility program since its first release in January, 1997.  It supports three most popular browsers – Netscape Navigator, Internet Explorer, and Opera.  It also supports shell settings to launch generic browser and other associated programs.  What makes Compass unique is the power of handling the hierarchical structure of folders.  With Compass, you’ll be amazed how easily you can find and organize your bookmarks the way you want, and how easily you can integrate all bookmarks from different computers or different browsers.

Not only is Compass a bookmark manager, but it is also an “outline editor” or a “note editor.”  You can use Compass to create your personal journal, notes, outlines, memos, … etc.  Since v.2.70, Compass provides a command to create “Directory Map” such that you can annotate your local directories and files. When you use Compass as an outline editor, you will find Compass is even better than the programs that were created for that purpose.

You can also use Compass as a report or web page generator.  With the power of Template, you can export your bookmarks or notes in the format you want. The new v.2.70 adds new Template features to control different folder levels and to generate multiple files that linked back to the main output file.

Compass has a host of useful features to help you manage your bookmarks: find duplicate bookmarks, find dead links, update redirected URLs, retrieve keywords and descriptions, powerful logical search, import, export, merge, sort, create directory map, and more.

Compass can easily handle more than thousands of bookmarks.  Compass has been tested and works with Netscape 2.x, 3.x, 4.x, Microsoft Internet Explorer 3.x, 4.x, 5.x and Opera 3.x on Windows 95/98/Me/NT4/2000.

Organization power:

Compass offers all kind of sorting, statistics information, file importing, merging, selection exporting, color coded bookmarks, etc. to help you organize your bookmarks.  Three types of drag & drop operations give you the ultimate power and ease to manipulate the bookmarks.  The new search mechanism fulfill your query in a flash.  Compass has not only a conventional Tree pane for the hierarchical structure of folders, but also a List pane to give you the control of all bookmarks as a whole.  The specially designed two panes provide you the power and freedom of working independently or tracking both together.  From time to time, you might want to use the conventional Windows Explorer type of tree-list relation.  The new version 2.5 provides it for you.

Communication power:

Compass can dynamically launch your browser, communicate with your browser, and lead you to your favorite site.  Compass lets you drag links embedded in a web page and drop them into your bookmark pool.  Need the control of where new bookmark goes?  A single right-click adds the current link to the place you clicked.  Want to continue yesterday’s surf?  No problem, Compass starts with that page for you.

For users of Netscape:

Did you feel the bookmark window of Netscape is not convenient for organizing bookmarks?  Did you feel you have no control of where the newly added bookmark goes?  Did you feel the bookmark descriptions hide themselves?  Would you like to have more sorting options, more searching power, more controls, easier access to functions, etc.?  Compass is here for you.

For users of MSIE:

Have you ever wished to be able to add descriptions to my favorites, to find a favorite faster, to have an easier way to organize your favorites, to clean up seldom visited links, to know how much stuff you have, or to share part of your collection with friends?  Compass fulfills all you wishes.

For users of Opera:

Compass started it’s supports for Opera’s Hotlist file format since version 2.50.  All Compass’s function now apply to Opera’s Hotlist files.

For users who use more than one browsers:

Compass can open/save/import/export/merge both Netscape bookmark files, MSIE favorites, and Opera Hotlist files.  Need to convert file types?  Just open file in one type and save it in another type.  Want to merge different file types, or extract just part of files?  No problem, Compass does them all.


Design Philosophy

+ The program must be compatible with Netscape, IExplorer and Opera.  This means the file created by Compass must be able to be read by Netscape, IExplorer and Opera without losing information and vice versa.

+ The program must be small. Therefore, only useful stuff (not fancy) was included to avoid overhead.

+ The program must be powerful.

+ The program must be easy to use. The user interface was carefully designed so that tasks can be done in the least efforts and intuitively.

+ The program must be so good that users will be willing to give up browser's built-in bookmark editor.


History

Version 2.80: (01/03/2001)

Please see What’s New.

Version 2.73: (05/24/2000)

Bug fixes

+ On some systems, launching URLs to IE caused crash.

+ Couldn’t set “Tool_Link” to blank.

Version 2.72: (03/01/2000)

Bug fixes

+ In some occasions, “Add URL” doesn’t grab URL from browsers.

+ Crashing when saving Favorites with long descriptions.

+ Incorrect context menu when right-clicking on the first item in the list pane.

+ In "Explorer Style," the tree pane failed to highlight correct folder after drag & drop.

+ "File::Import" didn't handle Favorites properly.

+ Deleting favorites didn't work properly when "Use Recycle Bin" was enabled.

+ Synchronize Favorites didn't work properly when "Use Recycle Bin" was enabled.

Version 2.71: (02/10/2000)

New features & Improvements

+ Alt+Enter to edit an item.

+ Changed “Auto Expand/Collapse” sense area to the tree buttons (+/-) only.

Bug fixes

+ Failed to find Netscape window in some occasions.

+ Compass froze a while when initially started browsers.

+ Command line options for browsers were not picked up.

+ Logical AND (&) search was not functioning when “Title” was not included in the search fields.

+ Exporting to Netscape bookmark format caused items to be moved to the root folder.

Version 2.70: (01/25/2000)

New features & Improvements

+ Logical OR (|) search – For example, to find all items containing “microsoft” or “linux”, you can type “microsoft | linux” in the search bar.

+ Get Meta Info (Tools | Get Meta Info) – Retrieve the description, keywords, and updated URL from the <META> tag of a page.  You don’t need to open the page in a browser.

+ Add URL From List (Edit | Add URL From List) – Pick URL(s) to add from a list of links for all running browsers.

+ New Template features:

$TEMPLATE_FILE$

$TEMPLATE_DIR$

$OUTPUT_FILE$

$OUTPUT_DIR$

$FOLDER_ID$

$TITLE_ID$

%AUTO_VIEW=Y	– Automatically view the output file.

{MAIN:*.htm}	– Specify extension name.

{F#}	– Handle different level of folders. (# is 0, 1, 2, ...)

{F(:new_format)}	– Generate separate files using the new_format for folders.

{B#}	– Handle different level of bookmarks. (# is 0, 1, 2, ...)

+ Create Directory Map (File | Create Directory Map) – Create an HTML file that links to your local directories and files.  You can then add description for your files and perform quick search.

+ Automatically run Compass when browsers IE starts (Tools | Preferences | Internet Explorer).

+ Import wizard (File | Import Wizard).

+ Import/Open generic HTML files.

+ Import/Open generic Yahoo! Companion data.

+ Always on Top (Tools | Preferences | Appearance | Always on top).

+ Start minimized (Tools | Preferences | Start/Exit | Start minimized).

+ Launch groups of URLs.

+ New List pane column "Status" for URL checking.

+ New Toolbar icons: “Always on Top” and “Preferences”.

+ MRU list in the Tray icon menu.

+ Use Recycle Bin for deleted favorites or files.

+ More accurate URL checking.

+ Handle Netscape's "Personal Toolbar Folder" and IE's "Links" folders.  (Tools | Preferences | Netscape | Rename [Personal Toolbar Folder] ; Tools | Preferences | Internet Explorer | Rename [Links]) - You can tell Compass to treat those special folders as the same folder.

+ Move folder to bottom (Tools | Preferences | Sort | Tree pane | Move folder to bottom).

+ Auto pick browser (Tools| Preferences | General | Auto pick browser) - Automatically use the current running browser instead of the “Default browser” setting.

+ Handle Read-only files.

+ Integrated “Browse for Folder” dialog.

+ Add Folder command.  (Edit | Add Folder)

+ Improved context menu.

Bug fixes

+ Fixed: Win98 - Bring browser to foreground.

+ Fixed: Netscape - Launch URL in the main frame.

+ Fixed: IE5 - Multiple IE windows

+ Fixed: Opera Hotlist custom order.

+ Fixed: Calling Opera caused one extra blank Opera window.

Version 2.60: (05/12/1999)

New features & Improvements

+ Export with Template – The whole new Template engine lets users define their own template for exporting items (bookmarks or folders).  You can easily generate the HTML pages or formatted text with the style you want.  Comes with the package are several sample templates for generating HTML tables, lists, and regular plain reports.

+ Dynamic Bookmarks menu.  Users can enable or remove it any time they want.

+ Logic NOT (!) search – For example, to search for all items containg "software" but not "demo", just type "software & !demo" in the search bar.

+ Supports IE5 Favorite format and IE5 Drag & Drop.

+ Extremely fast duplicates searching.

+ Better Description handling for Favorite and Opera.

+ Drag & drop image links from web pages.

+ Check duplicates when adding.  (new option)

+ Allows to "Add" links if the "generic browser" supports it.

+ Changed allowed minimum MRU to 0 (was 1).

+ Illegal characters are changed to '$' only on disk in Favorite format.

+ FlyTip won't show up for empty strings.

Bug fixes

+ Fixed: Check Links found wrong dead links.

+ Fixed: Locale sorting did not pick up correct language.

+ Fixed: URLs in Opera HotList format were chopped after the '=' sign, if any.

+ Fixed: "Compass Style" always marked the file has been changed.

+ Fixed: Preferences - The check mark of "Minimize to Tray Icon" didn't stay.

+ Fixed: Preferences missed some Help.

Version 2.52: (02/01/1999)

New features & Improvements

+ In Explorer style, drag & drop (or Move) will stay in the original folder.  In previous versions, Compass would jump to the new folder.

+ New browser option – Generic browser.  When using this setting, Compass will use the Windows’s default browser, and you do not need to tell Compass the full file path name for that browser.

+ Supports font character sets.

+ Accelerators (hotkeys) for dialogs.

+ Warning message before deleting Favorites folders.

+ Changed “Sync on exit” to “Sync on save” (to sync with browser’s bookmarks).

+ “Sort” will take into account locale.  For example, e and é will be sorted together.

+ If new items were merged into current bookmarks via “Sync on open,” Compass will mark your bookmark file as “changed” such that you can optionally save and keep those items.

Bug fix

+ In some situations, selecting a menu would caused GPF.

+ Potential crash when exiting.

+ “Track both panes” was not function properly in Explorer Style.

Version 2.51: (12/01/1998)

New features & Improvements

+ Print Preview.

+ Logic AND (&) search.  Now you can type something like

weather & usa & satellite

in the search bar to search for items containing all the three words (weather, usa, and satellite).

+ Improved Merge speed.

+ "Sync on exit" now takes effect only when users choose to save changes.

Bug fixes

+ Tree pane printing caused GPF.

+ "Sync Favorites on startup" loaded wrong files.

Version 2.50: (11/01/1998)

New features & Improvements

+ Explorer Style – The tree pane shows only folders and the List pane shows the contents of the selected folder.  Use Ctrl+E or the 8th toolbar icon to toggle the style.

+ Check Links – Check and see if links are still valid.  The optimized checking mechanism can check about 200 links per minute over a 33.6K modem.  Also supports proxy server.

+ Tray Icon – Provides easy access to your bookmarks while Compass is minimized or not the foreground window.

+ Opera Support – Opera is an emerging browser, featuring smaller file size and faster performance.  Now, you can open, save, import, export, or merge Opera's Hotlist file and launch Opera as your browser.

+ The editing for IExplorer's Favorites now is more integrated into the file system.  When you add an item, it will be added the your hard drive immediately.  Same as deleting items.

+ Right click "Move To Folder" menu item.

+ Other New Options: (Preferences)

+ Screen font.

+ Auto sort tree pane.

+ Sync bookmarks/Favorites/Opera Hotlist on startup/exit.

+ Number of most recent files in File menu.

+ Keep time stamps for exported items

Bug fixes

+ Fixed: In some situations, crashing when loading Favorites on startup.

+ Fixed: Ctrl+C, V, X, Z for all edit windows.

Version 2.17: (08/02/1998)

Bug fix

+ When save favorites, Compass incorrectly converted non-English characters.

Version 2.16: (05/26/1998)

New features & Improvements

+ Opera Hotlist (*.adr) support.

+ Reopen (in the File menu).

+ Accelerator F10 for Info | Find in Other Pane.

+ Ctrl+A to select all text if in edit window.

+ File filter *.html.

+ When dealing with Favorites file I/O, Compass will create a log file (log.txt), which will log any failures during the I/O operation. The log file is located in the same directory as the executable file (compass.exe).

+ Customizable MRU (Most Recently Used) number. The default value is 4. You need to manually edit compass.ini (in the Windows directory) to take advantage of it. For example, by adding MRU=6 to the [Preferences] section in compass.ini, you will have up to six (6) MRU files listed in the File menu.

Version 2.15: (04/01/1998)

New features & Improvements

+ When saving Favorites, Compass will not create a backup directory if the directory is a system directory.

+ Warning message if a system directory is selected as the destination of Favorites directory.

+ Print date on page footer.

Bug fix

+ Conversion to Favorites would fail if the last visit date was "out of range."

Version 2.14: (03/28/1998)

Bug fix

+ Dragging or copying a single bookmark with long title caused GPF.

Version 2.13: (02/28/1998)

Bug fix

+ URL was converted to lower case when being dragged from browsers.

+ "Add URL" caused problems if the page title was extremely long.

Version 2.12: (02/11/1998)

New features & Improvements

+ Option to disable "Auto sort List Pane".

Bug fix

+ The folder state for "New Item Folder" didn't get saved correctly.

+ Option to disable "Auto sort List Pane".

Version 2.11: (01/30/1998)

Bug fix

+ Fixed: Incorrect positioning when drag & drop from outside sources.

Version 2.1: (01/28/1998)

New features & Improvements

+ Undo.

+ New drag & drop interface. (replace "drop into folders")

+ Sorting now handles groups (separators).

+ Printing support

+ Auto sort list pane.

+ Save sort order setting (list pane).

+ Drag & drop, copy & paste among different instances of Compass.

+ Drag & drop TO Netscape or IExplorer.

+ Copy & paste shortcuts onto the desktop.

+ "Blue" selected tree items (was gray).

+ TAB-key runs through all child windows.

+ Handles international date format.

+ Search field enhancement:

a. If only one item found, pressing enter will open that link.

b. Otherwise, pressing enter will open whatever in the input field.  For example, if the input field is "www.geocities.com" Compass will tell the browser to open "www.geocities.com."

c. You can always press "up & down" key to move back and froth between search field and list pane.

d. Now you can press Esc to reset the search field.

+ New commands:

+ Print

+ Add Item (always pops up a dialog)

+ Find

+ Set New Item Folder (new bookmark folder)

+ Netscape (Open URL with Netscape)

+ IExplorer (Open URL with IExplorer)

+ Find Similar

+ Collapse All

+ New Options: (Preferences)

+ Allow multiple instatnces

+ Auto Save

+ Always show fly tip

+ Confirmation when deleting items

+ Confirmation when moving items

+ Keep time stamps for exported items

Bug fixes

+ Fixed: No accelerators (shortcut keys) when fly tips shown.

+ Fixed: Ctrl+C, V, X, Z for all edit windows.

+ Fixed: Conversion from HTML to Favorites didn’t handle invalid characters.

+ Fixed: Occasional crashes when opening another file or a new file.

+ Fixed: Description text length limit.

+ Fixed: Several UI (user interface) bugs.

Version 2.01: (06/08/1997)

Bug fix

+ Fixed the problem that v.2.0 requires new version (v.4.7) of comctl32.dll.  This release (v.2.01) runs on both standard version (v.4.0) and new version (v.4.7) of comctl32.dll.

Version 2.0: (06/05/1997)

New features & Improvements

+ New search interface in the List pane, which displays the results while you are still typing the string you want to search.

+ "FlyTip": pointing the mouse cursor to the text which are not fully displayed, Compass will pop up a "FlyTip" showing the whole text.

+ Full support for three file formats: Netscape bookmark file, MSIE favorites, and Compass HotList.  All file I/O, including Open, Save, Import, Merge, Export, Drag-Drop Open, Most Recent Files, support all the three file formats.  All file I/O share a single unified user interface (dialog).

+ Automatically remember the last visited web site.  Open that site automatically (with an option) next time when you run Compass.

+ Merge from other source files into your file.

+ Find duplicate URLs and high-light them.

+ Customizable List pane columns.

+ Support MSIE: open URL, grab page information, drag & drop links.

+ Sort sub-folders.

+ Put folders in front when sorting trees.

+ Remember/Restore folder states (collapsed or expanded).

+ More options.

Bug fixes

+ Fixed the GPF due to saving files containing extra long items.  (fixed in version 1.11)

+ Fixed the GPF due to moving empty folders around.

+ Fixed the very rare problem caused by deleting items.

Version 1.11: (04/12/1997)

This version was not released to the public.  It was distributed directly from the author only.

Bug fix

+ Fixed the GPF when saving bookmarks containing extra long items.

Version 1.1: (02/24/1997)

New features & Improvements

+ Drag & drop any links from Netscape (3.x and 4.x).

+ New command: "New Browser.”

+ Full support for standard keyboard interface.

+ New option: “Open last file on startup.”

+ New option: “Run Netscape on startup.”

+ New option: “Create backup when saving.”

+ Command line open file.

+ Accept drop file to open.

+ "Import HotList" can handle files contain both HotList data and normal text.

+ All found items are made visible when doing "Select All" in "Find."

+ In Edit pane, normal cut, copy and paste can be accessed from shortcut keys, toolbar icons, or right-click menu (context menu.)

+ "Collapse other folders" reacts immediately.

+ Context sensitive help.

+ Automatically find the location of Netscape.

+ Drag-drop doesn't affect the internal memory of Compass for copy-paste.

Bug fixes

+ Fixed the problem not able to open or save files which contain very long lines.

+ Fixed the possible memory leak after reading unexpected format.

+ Fixed the problem not able to handle more than 10 levels.

+ Fixed that "Find" didn't work properly if focus was in Edit pane.

+ Fixed: When "Collapse other folders" was checked, users couldn't see all selected items if the items were in different folders.

+ Fixed: Tree pane and List pane didn't handle keyboard input properly.

+ Fixed: "In-label edit" failed to set modified flag.

Version 1.0: (01/31/1997)

Features of the original release

+ Color coded bookmarks.

+ All kinds of sorting.

+ Various statistics.

+ Import / Export HotList.

+ Call Netscape directly to open a URL.

+ Grab information from Netscape when adding new bookmarks.

+ Flexible dropping mode: "Into" or "Onto" folders.

+ Alt-drag-drop to switch between "Into" and "Onto" modes.

+ Three panes (Tree, List, and Edit) to display information.

+ Keypad '*' to expand all folders.

+ Support standard multiple selection: Shift-click and Ctrl-click.

+ Extended clickable area for mouse operation.

+ Auto-scrolling when drag & drop.

+ Easy description editing.

+ In-label editing.

+ Sort bookmarks by clicking column labels in List pane.

+ Double click on column dividers to automatically fit the width.

+ Copy URL(s) to clipboard for pasting to other applications.

+ Drag & drop between List and Tree panes.

+ Standard drag-drop to move items.

+ Standard Ctrl-drag-drop to copy items.

+ Find, Find next, and Select all.

+ Right click for a handy menu (context menu).

+ Informative status bar.

+ Handy tool bar.


Tutorial

+ Before you start

+ Setting up

+ Calling browsers to launch URLs

+ Finding / Searching

+ Adding new items

+ Editing / Organizing

+ Exporting

Before you start

+ Compass is designed as a stand-alone application, no attempts to replace browsers’ built-in bookmark editors.  The browsers’ built-in bookmark editors do not disappear because of the use of Compass.

+ Compass is designed to handle a large number of bookmarks, which is not easily organized using browsers’ default bookmark editors.

Setting up

+ The first time you run Compass, you should be prompted by the Import Wizard.  If not, please choose File | Import Wizard.  It’s highly recommended to use Import Wizard to create a new bookmark file of your own filename.

+ If you wish to edit the browser’s bookmark file directly, choose File | Open to load your bookmark file into Compass.  If you are MSIE users, change “Files of Type” to the second type, i.e. “Favorites Directories.”  Here are some possible locations of your bookmarks or favorites:

<Netscape>\Users\<user name>\bookmark.htm

<Netscape>\bookmark.htm

<Windows>\Favorites\~

<Winnt>\Profiles\<user name>\Favorites\~

+ Choose File | Preferences | Browsers to set up your browsers’ location.

Calling browsers to launch URLs

+ Double-click bookmark items will launch your default browser (the setting in preferences) to open the URLs.  (Keyboard: F5)

+ You can open URLs in a new browser window: Right-click a bookmark item, and choose “New Browser.”  (Keyboard: F6)

+ You can also specify what browser you want to use: Right-click a bookmark item, and choose Netscape or IExplorer.  (Keyboard: F7/F8)

Finding / Searching

+ Press Esc to move the input focus to the “search bar.”  Type something you want to search for.  The List pane shows the results immediately.

+ If you need to move to the items in the List pane, just press the down-arrow key.

+ To start a new search, simply press ESC anytime anywhere.

+ You can change what fields to look in by clicking the “?” button beside the “search bar.”

+ Compass Feature: Select some items in one pane, click the third toolbar icon from the right end, i.e. “Find in Other Pane,” and Compass will find the items in the other pane.

+ If you don’t want the “real-time” searching, you can press “Ctrl+F” to bring up a Find dialog.

+ Use “Ctrl+D” to find duplicate URLs.

Adding new items

+ From your browsers, drag the small icon beside the “Address/Location/Netsite bar” over to Compass.  You can drop the icon on either the Tree or the List panes.

+ Method 2: right click any items in Compass and choose “Add URL.”

+ Method 3: in Compass, press “Insert” key to add the current URL from the browser.

+ To add a new folder or separator, use “Ctrl+A” or Edit | Add Folder.

Editing / Organizing

+ To add descriptions, memos or notes, just type something in the “Description” window.

+ You can use “in-label” editing to edit the bookmark name.  I.e., select an item, then click the item again (not double-clicks).

+ Compass Feature: Multiple selection works for both Tree and List panes.  Use Ctrl+click or Shift+click to select more than one items.

+ You can sort Tree and/or List independently.  To sort the Tree, select the folders you want to sort, then choose Edit | Sort or right-click.

+ If you wish to save your sort order to file, you need to press Ctrl+E to switch to “Compass Style”ou can sort Tree and/or List independently.  To sort the Tree, select the folders you want to sort, then choose Edit | Sort or right-click.

+ Use drag & drop to move items around.  You can drag from either Tree or List panes, but drop only to the Tree pane.

+ Copy, cut, and paste works the same way as in Windows Explorer.

Exporting

+ In the Tree pane,.select a few folders that you want to export.  If you want to export the whole file, select the root folder.

+ Choose the menu File | Export Selection | (Standard Format…) to export your selection to one of the predefined format – Netscape Bookmarks, IE Favorites, Opera HotList, or Compass HotList.

+ Choose the menu File | Export Selection | HTML Table to export your selection by using the “HTML Table” template.  When the file dialog pops up, enter a file name with extension .htm for the output file.  Then, you can use your browser to view the result file.


Did You Know

+ Compass is not only a bookmark editor.  You can use Compass as an “outline editor” or “note editor” to keep your notes or journal.  Use File | New to start a new notebook.

+ You can press Ctrl+L to show dead links (if any) found by Compass.

+ You can press Ctrl+E to toggle on/off the Explorer Style.

+ You can minimize Compass to Tray icon to save Taskbar space.  Check the option in File | Preferences | Appearance.

+ You can press Space bar to start in-place editing.

+ You can press Esc twice to jump to the Description pane.

+ You can run two instances of Compass – one in Explorer Style, and the other one in Compass style, then drag & drop between them.

+ You can right click the header of the List pane to add or delete columns.

+ You can move from the “search bar” to the List pane by pressing the down arrow key.

+ You can click the “Find [000]” button to reset the “search bar” and the List pane.

+ You can press Ctrl+D to find duplicate URLs.

+ You can click the “?” button beside the “search bar” to change what fields to search in.

+ You can click the headers of the List pane to sort the list.

+ You can copy items and paste shortcuts on your desktop.

+ You can use Tab key to run through the Tree pane, Search bar, and List pane.

+ You can use Esc key to jump to the Search bar and the Description pane.

+ Most functions are accessible by a single right click.

+ You can track both panes by enabling the second toolbar icons from the right end.

+ You can find items in the other pane by clicking the third toolbar icon from the right end.

+ You can sort different folders with different sort orders.

+ You can make the Tree pane automatically close unused folders by enabling the “Collapse Other Folders” toolbar icon (around the middle of the toolbar).

+ You can type a qualified URL in the “search bar” and press Enter to launch it if no items found in the List pane.

+ You can drag your Favorites folder from Windows Explorer over Compass’s window (not over the Tree pane) to load your favorites.

+ You can merge more than one bookmark collection into one single file.  (File | Merge From)

+ During the drag & drop operation, you have the option to approach a folder from above or from below.

+ You can drag a link from your browser and drop it to Compass’s Tree pane.

+ You can drag a bookmark from Compass and drop it to your browser.


FAQ
FAQs

+ How much does it cost to register?

+ How do I create my own template?[v.2.6x]

+ Why “Check Links” checks very slowly and cannot find any dead links?[v.2.5x]

+ How to use the Tray icon and how useful is it?[v.2.5x]

+ How can I get rid of the ADD_DATE="xxxxxxxxx" in the Netscape bookmark.htm file?[v.2.5x]

+ Why is Check Links not accurate?[v.2.5x]

+ What’s the difference between [Import] and [Merge From]?

+ How do I open a backup file?

+ Why are reading and writing in Favorites format slow?

+ How do I change the color of bookmarks?

+ How do I delete obsolete bookmarks?

+ How do I sort bookmarks?

+ How do I expand all folders?

+ How do I invoke Netscape from Compass?

+ How do I add a bookmark (link) while running Netscape?

+ Why do I get the message “Bookmarks have changed on disk.  Discard unsaved changes and reload?”

+ How do I know what many bookmarks in a folder?

+ What is the format of HotList which Compass can import from?

+ What is the appropriate way to save changes to file?

+ Why sometimes multiple selection doesn’t work in Tree pane?

Q: How much does it cost to register?

A: Single-user (or Single-workstation) license is $25.00 each.  Volume discounts are available.  Please see Benefits of Registration, How to Register, and License Agreement sections.

Q: How do I create my own template? [v.2.6x]

A: A Template file is a plain text file, so you can use any plain text editor (e.g. Notepad) to create a text file, which follows the Template syntax.  However, in order to let your template appear in the Export Selection menu, you need to

a) Name your template file with an extension .TPL.

b) Put your template file in the same directory as Compass.exe.

Q: Why “Check Links” checks very slowly and connot find any dead links? [v.2.5x]

A: The tests show Compass can check about 200 links per minute over a 33.6 K modem.  If you find “Check Links” seems not to work, go to the Preferences | General and check if “Use proxy server” was set correctly.  If you use proxy server for your browser, use the same setting for Compass.  If you do not use proxy server for your browser, do not check the box for Compass either.

Q: How to use the Tray icon and how useful is it? [v.2.5x]

A: Tray icon lets you access Compass’s functions without bringing it to top window.  To access the functions, right-click on the Tray icon, and you’ll see a popup menu, from which you can add new links or launch existing links.  You can also bring Compass to the top by clicking (left-clicking) on the Tray icon.

Q: How can I get rid of the ADD_DATE="xxxxxxxxx" in the Netscape bookmark.htm file? [v.2.5x]

A: In the File | Preferences | Misc, there is an option “Keep time stamps for exported items.”  Turn this option off, then export whatever items you want as Netscape bookmark file format.  The exported .htm file will contain no ADD_DATE="xxxxxxxxx" or similar tags.

Q: Why is Check Links not accurate? [v.2.5x]

A: When checking links, Compass send request to the web server asking for the status of specified document.  Then, Compass checks the response code sent by the server.  If the response code is between 400 and 404, then Compass considers the URL is a dead link.  Due to the heterogeneous nature of the Internet, different web servers have different ways to respond to requests, so the results of Check Links might not be accurate for all cases.  My suggestion for handling “dead links” is to create another folder, say “Dead Links,” and move all dead links to that folder.  Then, you can look at those dead links, and manually check again if you find something suspicious.

Q: What’s the difference between [Import] and [Merge From]?

A: [Import] command imports everything from the source file, and makes a separate folder to store the imported stuff.  The advantage is that you won’t miss anything from the source file, and because a new separate folder was created, the imported stuff does not mess up your original bookmarks.

[Merge From], on the other hand, filter out the URLs which exist in the same folder, or anywhere in the target file.  Items added in the same folder as in the source file.  New folders are created only when the target file does not have the corresponding folders.  It is useful when you have two (or more) similar files and want to synchronize them.

Q: How do I open a backup file?

A: Backup files have special file names ending with “.bak”, e.g. “bookmark.htm.bak”, “favorites.bak”, “hotlist.txt.bak.”  The simplest way to open a backup file is just dragging that file and dropping it on Compass (icon or running window).  If you wish, you could use the [Open] command, set the file type to “All Files”, and select the appropriate file name.

Q: Why are reading and writing in Favorites format slow?

A: MSIE stores every single favorite link as a file.  If you have 500 favorites, reading or writing them will involve 500 times of file opening and closing.  That is a very time consuming task.

Q: How do I change the color of bookmarks?

A: You can set the “Bookmark color period” in the Preferences dialog.  If you surf the web very often, you might want smaller values, say 2 weeks, for the color period.  If you visit the web just once in a while, you might want bigger values, say 12 weeks.  The default value is 8 weeks.  See also Color codes and Base time period.

Q: How do I delete obsolete bookmarks?

A: In the List pane, click the “Last Visit” column header, then bookmarks are sorted by last visited date and time.  The obsolete bookmarks, colored by white or purple, are at the bottom potion of list.  You could multiple-select and delete them.

Q: How do I sort bookmarks?

A: You could sort bookmarks either in Tree pane or in List pane.  However, to make real change, you should do the sorting in Tree pane: Select the folders (not bookmarks) you want to sort, then choose the sorting method either from Edit menu or from Context menu (right-click).  Compass will sort all items (one level deep) in the folders you selected.

Q: How do I expand all folders?

A: Simply select the main folder in Tree pane, then hit keypad '*'.

Q: How do I invoke Netscape from Compass?

A: Select a link you want to go, then click "Go" or “New Browser” from Info menu, Context menu (right-click), or Tool bar.  If you have checked "Double click to Go" in the Preferences dialog, then you can just double-click the link.  If Netscape is not running, Compass will run it.  If Compass couldn't find Netscape, a dialog will show up to let you tell Compass where Netscape is located.

Q: How do I add a bookmark (link) while running Netscape?

A: Compass supports the drag & drop technology that Netscape 3.x and 4.x use.  So, if you are running Netscape 3.x or 4.x, the simplest way to add a bookmark is to drag a link, which could be any links in a web page, from Netscape and drop it in Compass Tree pane.  For Netscape 2.x users, first select a position in Tree pane where you want the new bookmark be, then simply click "Add" from Tool bar, Edit menu, or Context menu (right-click).  Compass will grab Title and URL information from Netscape, and show a dialog where you could add description to the link.

Q: Why do I get the message “Bookmarks have changed on disk.  Discard unsaved changes and reload?” when I exit Netscape while using Compass?

A: That's because bookmark file were changed by Compass.  If your changes were mostly made in Compass, you probably want to "discard and reload."  Here, "discard" is to discard the changes made in Netscape.  On the other hand, if you made most changes in Netscape, then don't discard.  To avoid such a problem, the recommended way is to "Save As" a different file name in Compass.

Q: How do I know what many bookmarks in a folder?

A: Just select that folder, and Compass will tell you the answer in the status bar.

Q: What is the format of HotList which Compass can import from?

A: A plain ASCII file.  For each line in the file, Compass will interpret text between ‘<‘ and ‘>‘ as a URL, and everything after ‘>[space]’ as the title for that URL.  See also HotList.

Q: What is the appropriate way to save changes to file?

A: The problem happens only when both Compass and Netscape are running.  Because both of them read in bookmarks only once, they don't know how the bookmarks are changed by the other program.  To make things simple, manipulate bookmarks only in one program, and close that program later than close the other one.

Q: Why sometimes multiple selection doesn’t work in Tree pane?

A: Multiple selection is always available in both Tree and List pane.  The reason you think it doesn’t work in Tree pane is because Tree pane is implemented with “smart selection” logic.  So, it is working; just looks not.


Template Overview

Template is one of the major new features in v.2.60.  It is used for exporting selected items (bookmarks or folders).  A Template is a simple plain text file with file extension .TPL.  Users can use plain text editor (e.g. Notepad) to edit or create Templates.  In side a Template, users can specify what fields you want to export and in what format.  For example, a line in a Template

Abc $TITLE$ 123 [$URL$] Cool

will be expanded to

Abc Yahoo 123 [http://www.yahoo.com/] Cool

in the output file for an item “Yahoo” whose URL is http://www.yahoo.com/.

More on topic:

Template Elements

Template Keywords

Template Examples


Template Elements

A Template consists of the following elements:

Blocks

A Block is defined between the openning tag {block_type(block_option):block_name} and the closing tag {/block_type}.  The block_option and block_name are optional.  If no name is given, the name is default to the type (with an exception for MAIN block).  Currently, block option is only available for FOLDERS block type.  Everything inside a Block will be treated literally except the $Parameters$.  Parameters (see below) will be expanded or substituted according to the nature of the Parameters.  $ sign must appear in pairs; single $ will cause problems.  The current version doesn’t support literal $.

[v.2.7x]  V.2.70 Template introduced the concept “format group.”  Under the same format group, users can define different blocks for different levels.  A format group is identified by the block_name of the block.

For example,

{BOOKMARKS}

Link $COUNT$ - $URL$

{/BOOKMARKS}

defines the BOOKMARKS block, and the name is BOOKMARKS.

{FOLDERS:TREE}

List of all bookmarks in this folder:

$BOOKMARKS$

{/FOLDERS}

defines a FOLDERS block with the format group name TREE.

{F1:TREE}

Bookmarks under the level 1 folder:

$BOOKMARKS$

{/FOLDERS}

defines a FOLDERS block for Level 1 folder.  The format group name is TREE.

{MAIN:C:\OUTPUT.TXT}

This is Compass $VERSION$.

I want to process list all folders below:

$ALL$

{/MAIN}

defines the MAIN block, and the output file is c:\output.txt.

{MAIN:*.htm}

This is Compass $VERSION$.

{/MAIN}

defines the MAIN block with specified extension name (htm).  The file dialog will pops up when exporting to ask for the output file name.

{MAIN}

This is Compass $VERSION$.

{/MAIN}

defines the MAIN block with no output file name.  The file dialog will pops up when exporting to ask for the output file name.

Valid Block types:

MAIN – Defines the main output file.  This is a required block.

FOLDERS – Defines the format of folders.  The block runs for each selected folders.  Three options available for this type:

(T) – Top level folders only.

(A) – All bookmarks (including subfolders).

(:format_name) – [v.2.7x] Generate a new file, using the block definition of format_name.  The filename of the newly generated file will be based on the folder name and have the same extension name as the main output file.  The new filename is stored in the parameter $STUB$ for use in the main output file.

All the options can be combined together, e.g. (TA:format_name).

BOOKMARKS – Defines the format of bookmarks.  The block runs for each selected bookmarks.

F# – Defines the format of folders for level #.  Only the folders with matched level # will be exported. FOLDERS block of the same group name must also be defined to use this level control block.  The root is level 0.  [v.2.7x]

B# – Defines the format of bookmarks for level #.  Only the bookmarks with matched level # will be exported.  BOOKMARKS block of the same group name must also be defined to use this level control block.  The root is level 0.  [v.2.7x]

Parameters

A Parameter is a name surrounded by the $ signs.

For example,

$TITLE$	- will be expanded to the title of the current item.

$BOOKMARKS$	- will be expanded according to the BOOKMARKS block.

$MY_LIST$	- will be expanded according to the MY_LIST block, if any.

Built-in Parameters:

COUNT – The item count in the current processing loop.  Starting from 1.

DATE – Current date.  Use the system defined format.

TIME – Current time.  Use the system defined format.

VERSION – The version of Compass (e.g. 2.60).

USER – Registered user name.

EMAIL – Email of the registered user.

SERIAL – The registration serial number.

TEMPLATE_FILE – The template file name used to create the output (e.g. sample.tpl).  [v.2.7x]

TEMPLATE_DIR – The directory of the template file used (without ending backslash ‘/’).  [v.2.7x]

OUTPUT_FILE – The output file name (e.g. mypage.htm).  [v.2.7x]

OUTPUT_DIR – The output directory (without ending backslash ‘/’).  [v.2.7x]

STUB – The output file name of the separately generated file.  [v.2.7x]

The following parameters are to be used only in FOLDERS or BOOKMARKS blocks:

TITLE – The Title field of an item.

URL – The URL field of an item.

FOLDER – The Folder field of an item.

LASTVISIT – The Last Visit field of an item.

DESCRIPTION – The Description field of an item.

TITLE_ID – The Title field of an item.  However, all non-alphanumeric characters are converted to underscore ‘_’.  [v.2.7x]

FOLDER_ID – The Folder field of an item.  However, all non-alphanumeric characters are converted to underscore ‘_’. [v.2.7x]

Options

An option is prefixed by a % sign and followed by a = sign.  Currently, the options are used to control DESCRIPTION field.  For example,

%DESC_BR=”<BR>”	- will use “<br>” for line breaker.

%DESC_BR=”<BR>

“	- will use “<br>\r\n” for line breaker.  “\r\n” is the normal line breaker for plain text file.  (the ending quote “ is at the next line)

%DESC_BR=	- will use “\r\n” for line breaker.  (nothing after the = sign)

%AUTO_VIEW=”Y”	- will launch the associated program to open the output file.

Available Optoins:

DESC_BR – The string to be used for line breaker.

DESC_BR_PREFIX – The string to be added before line breakers.

DESC_LINE_PREFIX – The string to be added before each line.

DESC_TAB – The string to be used to replace Tab.

AUTO_VIEW – ‘Y’ will launch the associated program to open the output file.  [v.2.7x]

Comments

Comments are valid only outside Block definitions.  A comment is prefixed by a # sign.  For example,

# This is a comment line.


Template Keywords

Keywords are case insensitive.  The following is a list (in the alphabetic order) of keywords defined in Compass v.2.60 Template engine:

%AUTO_VIEW=

{BOOKMARKS}

{B#}

$COUNT$

$DATE$

%DESC_BR=

%DESC_BR_PREFIX=

%DESC_LINE_PREFIX=

%DESC_TAB=

$DESCRIPTION$

$EMAIL$

$FOLDER$

$FOLDER_ID$

{FOLDERS}

{F#}

$LASTVISIT$

{MAIN}

$OUTPUT_DIR$

$OUTPUT_FILE$

$SERIAL$

$STUB$

$TEMPLATE_DIR$

$TEMPLATE_FILE$

$TIME$

$TITLE$

$TITLE_ID$

$URL$

$USER$

$VERSION$


Template Examples

Bookmark List – Generates a list of bookmarks.  File extension: .TXT.  Sample output:

Link 55: [Compass Home Page] - [http://www.geocities.com/SiliconValley/Way/5500/compass.html]

Folder List – Generates a list of folders.  File extension: .TXT.  Sample output:

Folder 8: \Compass\Web Pages

Complete List – Generates a complete list of folders and bookmarks.  File extension: .TXT. Sample output:

******************** \Compass\Web Pages ********************

Bookmark 5

Title:	Compass Home Page

URL:	http://www.geocities.com/SiliconValley/Way/5500/compass.html

Folder:	\Compass\

Last Visit:	3/6/99 6:06:53 PM

Description: Line 1

: Line 2

Folder Tree – Demonstrate the use of Level control.  [v.2.7x]

HTML List – Generates an HTML page for a list of bookmarks.  File extension: .HTM.

HTML Table – Generates an HTML page with Categories on the left side, Bookmarks in table on the right side.  File extension: .HTM.

HTMLListFrame – Demonstrates how to create multiple files.  View the result from Main.htm.  You need to generate the TreeFrame.htm by using HTMLTreeFrame template for the left frame.  [v.2.7x]

HTMLTreeFrame – Generates a HTML Tree.  Demonstrates how to use Folder Level control.  View the result from Main.htm.  You need to generate the ListFrame.htm by using HTMLListFrame template for the right frame.  [v.2.7x]

Minimum – Demonstrates the minimum requirement for a Template.  File extension: .TXT.

Sample – Demonstrates the use of Template elements. File extension: .TXT.

SimulGroup – Generates a SimulGroup file for the browser SimulBrowse.  File extension: .SBG.


Menu

File

+ New (Ctrl+N): Create a new file.

+ Open (Ctrl+O): Open a Netscape bookmark file, MSIE favorites directory, or Compass HotList.

+ Reopen (Ctrl+R): Discard changes and re-load all items from disk.

+ Save (Ctrl+S): Save the current file.

+ Save As: Save the current file in a different format or a different file name.

+ Add Password: Add password to the current bookmark file.  You need to Save the file to make the password protection effective.  Note: The backup file (of the bookmark file) will be the old original file, which will NOT be password protected if the original file was not password protected.

+ Remove Password: Remove the password from the current bookmark file.  You need to Save the file to make it effective.  Note: The backup file (of the bookmark file) will be the old original file, which will be password protected if the original file was password protected.

+ Import: Import bookmarks from a Netscape bookmark file, MSIE favorites directory, Opera Hotlist, or Compass HotList.  A new folder will be generated and have all imported stuff in it.

+ Import Wizard: Import various sources of bookmarks into Compass.  The selected source type will reflect on the dialog tab.

+ Netscape:

Import Netscpae’s bookmark file, which is typically located at

C:\Program Files\Netscape\Users\<username>\bookmark.htm

You can select any .htm(l) file as long as the format is the same as Netscape’s bookmark file format.

+ IExplorer:

Import Internet Explorer’s Favorites, which is a directory typically located at

C:\Windows\Favorites

C:\Winnt\Profile\<username>\Favorites

You can select any directory as long as there are favorites under it.

+ Opera:

Import Opera’s Hotlist file, which is typically located at

C:\Program Files\Opera\Opera3.adr

You can select any .adr file as long as the format is the same as Opera’s Hotlist file format.

+ HTML:

Import any generic HTML files.

+ Method:

+ Add to the current file: Add (import) the selected files to Compass.  New separate folders will be created for each imported file.

+ Merge into the current file: Perform the Merge process for each selected file.

+ Merge From: Merge bookmarks from a Netscape bookmark file, MSIE favorites directory, Opera Hotlist, or Compass HotList into the current file.  Only new bookmarks will be added and put in the same folder as in the source file.

+ Export Selection: Export the selected bookmarks to “Standard formats” or using Templates.  Standard formats include Netscape bookmark file, MSIE favorites directory, Opera Hotlist, and Compass HotList.  The Templates files are located under Compass\Templates directory with file extension .tpl.  You can choose other template files by selecting “More Templates.”

+ Repair Bookmark File: Repair Netscape bookmark files.  Compass will try to load the HTML bookmark file, and save it to standard Netscpae bookmark file format.

+ Create Directory Map: Create an HTML file, which is a image of a directory.  By creating an HTML map file, you can easily do annotating, quick searching and quick launching your files of any types.

+ Save Favorites Order: Remove all Favorites and save them back in order.  This command is not recommended to use, unless you really want to rearrange the order of Favorites.  Due to the sharing with IE and Windows Explorer, this command might be failed.  You can recover your Favorites from Recycle Bin if you enable the “use Recycle Bin” option, which is enabled by default.

+ Print (Ctrl+P): Print the active pane, either the Tree or the List pane.

+ Print Preview: Preview what will be printed.

+ Print Setup: Change printing settings.

+ Exit: Exit Compass.

Edit

+ Undo (Ctrl+Z): Undo adding, deleting, or moving items.  Undo is available only for the previous (one) action.  No undo support for sorting.

+ Add URL (Ins): Add a new URL (bookmark).  If the Tree is the active pane, new items will be added at the selected position (if there is one).  Otherwise, new items will be added to “New Item Folder.”

+ Add Folder (Ctrl+A): Add a new folder.

+ Add Separator: Add a new separator.

+ Add Item (Ctrl+Ins): Add a new item (bookmark, folder, or separator).  No “browser-look-up” will be performed.

+ Add All URLs in Page: Add all URLs from the current page in IE.  Compass will create a new folder and put all URLs inside the folder.  This command is IE only.

+ Add URL from List: Add a new URL (bookmark) from a list of all running browsers.  Users can pick any one to add or select “Add All” to add all URLs from all browsers.

+ Sort: Sort items by various ways. ‘+’ means ascending; ‘-’ means descending.  In List pane, this action shows results only for your information, and doesn’t make real change to the file.  In Tree pane, this action sort items in all the selected folders, and make real change to the folders.

+ by Title +.

+ by Title -.

+ by URL +.

+ by URL -.

+ by Last Visit +.

+ by Last Visit -.

+ by Folder +: Not available in Tree pane.

+ by Folder -: Not available in Tree pane.

+ Edit Item (F2): Edit the selected item (bookmark or folder.)

+ Copy (Ctrl+C): Put selected items in the memory of Compass.  Also copy the URL’s to clipboard.

+ Paste (Ctrl+V): Paste items from the memory of Compass.  It’s available only in Tree pane.

+ Delete (Del): Delete the selected items.

+ Find (Ctrl+F): Bring up the “Find” dialog.

View

+ Toolbar: Enable/Disable the toolbar.

+ Status Bar: Enable/Disable the status bar.

+ Expand All: Expand all folders in the Tree pane.

+ Collapse All: Collapse all folders in the Tree pane.

+ Collapse Others: Check this option if you want Compass to open only the necessary folders.

+ Explorer Style (Ctrl+E): Toggle on/off Explorer Style.

+ Up One Level (Backspace): When in Explorer Style, this command will change the current displayed items to their parent folder.

Tools (was Link menu in v.2.5x or older)

+ Go (F4): Invoke a browser and go to the link you selected.

+ New Browser (F6): Open the selected link with a new browser window.

+ Netscape (F7): Open the selected link with Netscape.

+ IExplorer (F8): Open the selected link with IExplorer.

+ Opera (F9): Open the selected link with Opera.

+ Find Duplicate URLs (Ctrl+D): and high-light extra copies.

+ Find Similar: Find similar items.  For example, if the selected item has URL www.netscape.com, this command will put “.netscape.” into the search bar.

+ Check Links: Check links to see if they are still valid.  The status bar will show the progress of the checking process.  You can cancel the checking process by selecting Link | Stop Checking.

+ Get Meta Info: Retrieve the <META> tags info from the pages.  <META> tags usually specify the description and keywords.  Compass will add those to the Description field of the bookmarks.  <META> tags sometimes also specify the new URL for the page.  In such a case, Compass will update the bookmark’s URL and place the old URL to the Description field for future reference.

+ Show Dead Links (Ctrl+L): If there are dead links found by Compass, this command will show them in the List pane.  To restore back normal view, press ESC or click on the “Dead Links [000]” label.

+ Replace URL: Replace the URL with the current one in the browser.

+ Set New Item Folder: Set the selected folder as the “New Item Folder.”  New items will be added to this folder if no other instructions.

+ Find in Other Pane: Find the selected items in the other pane (Tree or List).

+ Track Both Panes: Track selected items in both Tree and List pane.

+ Customize Toolbar: Customize the toolbar icons.  You can also invoke this feature by right-clicking or double-clicking on the toolbar.

+ Preferences (F3):

+ General:

+ Default browser: The default browser for Compass to launch a URL.  If you choose “Generic” Compass will use Windows’s default browser and you don’t need to tell Compass where the browser is.

+ Automatically pick available browser:

+ No DDE lookup: When Compass needs to find an active browser, it first lookup the browser windows.  If it cannot find one, Compass will use DDE lookup.  Sometimes DDE lookup causes the application not responding, or invoking incorrect browser.  From v.2.80, users have this option to turn off DDE lookup.  Default = off (i.e. have DDE lookup).

+ Use proxy server (for checking URLs): This setting is used for Checking Links.  Normally, set this option the same as the proxy setting in browser.

+ Create backup when saving: Backup file name will be the current file name (including the extension) + “.bak”.  Default = on.

+ Use Recycle Bin: Default = on.

+ Confirm deleting items: Default = on.

+ Confirm moving items: Default = off.

+ Warn when closing read-only files that have been changed: Default = on.

+ Search covers all folders in Explorer Style: If this option is disabled, Search will search only the items in the List pane.  Default = on.

+ Auto save: Default = off.

+ Netscpae:

+ Program location: The full path to the Netscape executalbe.  For example, C:\Program Files\Netscape\Communicator\Program\netscape.exe

+ Command line option: Usually leave it blank.  However, if your Netscape has multiple user profiles, you can specify which profile you want here.  For example, by specifying -P”daniel” in the command line option, you are telling Netscape to run with “daniel” profile.

+ Bookmark location: Used for Sync.  For example, C:\Program Files\Netscape\Users\daniel\bookmark.htm.

+ Sync on startup: When it is on, Compass will merge the bookmarks file specified in Bookmark location (see above) into the current file when loading current file. Default = off.

+ Sync on exit: When it is on, Compass will save the current file back to the bookmarks file specified in Bookmark location (see above).  Note: the old bookmark file will be overwritten.  Default = off.

+ Rename [Personal Toolbar Folder] to: You might want to rename this folder to save displaying space.  More important, this folder is equivalent to IE’s “Links” folder, so when you merge Netscape’s bookmarks and IE’s favorites, you want to rename those folders to the same name.  The “renaming” only has logical effect.  When you save your bookmarks, the new name will be restored to the original “Personal Toolbar Folder.”  Default = “TOOL_LINK”.

+ Internet Explorer:

+ Program location: The full path to the Iexplorer executable.  For example, C:\Program Files\Internet Explorer\iexplore.exe

+ Command line option: Usually leave it blank.

+ Favorites location: Used for Sync.  For example, C:\Windows\Profiles\daniel\Favorites.

+ Sync on startup: When it is on, Compass will merge the Favorites directory specified in Favorites location (see above) into the current file when loading current file. Default = off.

+ Sync on exit: When it is on, Compass will save the current file back to the Favorites directory specified in Favorites location (see above).  Note: the old Favorites will be overwritten.  Default = off.

+ Rename [Links] folder to: This folder is equivalent to Netscape’s “Personal Toolbar Folder”, so when you merge Netscape’s bookmarks and IE’s favorites, you want to rename those folders to the same name.  The “renaming” only has logical effect.  It does not affect the name shown in IE.  Default = “TOOL_LINK”.

+ Automatically run Compass when IE Starts: Default = off.

+ Opera:

+ Program location: The full path to the Opera executable.  For example, C:\Program Files\Opera\opera.exe

+ Command line option: Usually leave it blank.

+ Hotlist location: Used for Sync.  For example, C:\Program Files\Opera\Opera.adr.

+ Sync on startup: When it is on, Compass will merge the Hotlist file specified in Htlist location (see above) into the current file when loading current file. Default = off.

+ Sync on exit: When it is on, Compass will save the current file back to the Hotlist file specified in Hotlist location (see above).  Note: the old Hotlist file will be overwritten.  Default = off.

+ Start:

+ Run browser: Automatically run a browser when you run Compass.  Default = off.

+ Open last URL: Automatically open the last visited URL when you run Compass.  Default = off.

+ Open last file: Automatically open the last file when you run Compass.  Default = on.

+ Restore folder states: (Like Netscape)  Default = on.

+ Minimized: Default = off.

+ Exit:

+ Save settings: Default = on.

+ Save last URL: Default = off.

+ Save file: Automatically save changes (no dialog pops up).  Default = off.

+ Save folder states: (Like Netscape)  Default = on.

+ Appearance:

+ Enable Tray icon: When on, Compass will add it’s icon to the system tray for easy access.  Default = on.

+ Minimize to Tray icon: When on, Compass will hide itself from the Taskbar when minimized.  Default = on.

+ Enable FlyTip: FlyTip  Default = on.

+ FlyTip delay time: mouse cursor has to stay still for this much of time before a FlyTip pops up.  Default = 3.  (0.3 sec)

+ Always show FlyTips: Normally, FlyTips are shown only when the texts are not all visible.  Check this option if you want the FlyTips for short texts too.  Default = off.

+ Auto expand/collapse: Enable or disable Auto expand/collapse for drag & drop operation.  If it is on, dragging items over a collapsed folder will automatically expand the folder.  Default = on.

+ Auto expand/collapse delay time: Default = 7.  (0.7 sec)

+ Enable auto collapse: By default, only auto-expand is enabled.  Default = off.

+ Always on top: Put Compass window always on top.  Default = off.

+ Bookmark color period: Set the base time period for color coding bookmarks.  Default = 4.

+ Change Font: Change screen font for the Tree, List, and Description panes.  Default = MS Sans Serif @ 8pt.

+ Sort:

+ Auto sort List pane: Sort List pane whenever there are changes made (e.g., new item added, last visit date changed, item label changed, …etc.)  Default = on.

+ Auto sort Tree pane: Sort Tree folder whenever there are changes made (e.g., new item added, last visit date changed, item label changed, …etc.)  Default = off.

+ No special handle: When sort Tree pane, treat folders and bookmarks the same way.  No special handling for folders.

+ Move folder to top: When sort Tree pane, move folders to the top, then normal bookmark items, so folders and bookmarks don’t get mixed.  This is the default choice.

+ Move folder to bottom: When sort Tree pane, move folders to the bottom, then normal bookmark items, so folders and bookmarks don’t get mixed.

+ Sort sub-folders: Default = on.

+ Sort by group: Groups are defined by “separators.”  Check this option if you want to keep separators intact when sorting folders.  Default = on.

+ Sort Tree pane alphabetically on initial load: When this option is on, Compass will sort Tree pane when items are loaded in.  It happens when Open, Reopen, and Explorer Style toggled on/off.  If you want Compass also sort Tree pane while you are making changes, you need to enable “Auto sort Tree pane” (see above).  Default = off.

+ Misc:

+ Allow multiple instances: Default = on.

+ Double-click to Go: Check this option if you want double-click to invoke the browser.  Default = on.

+ Keep time stamps for exported items: Default = off.

+ Skip duplicate URLs when merging: The logic of merging process is “folder-centric.”  A bookmark is considered to should be added if it is not found in the same folder in both source and target files.  With this option on, you can prevent bookmarks being added if they are found in other folders.  Default = on.

+ Enable Bookmarks menu: Enable the “Bookmarks” menu.  Default = on.

+ Allow editing when adding links: If browsers are running, Compass will automatically grab necessary information from the browser when you add bookmarks.  Enable this option if you want to do some extra editing.  Default = off.

+ Check duplicates when adding: Enable this option if you want Compass to check if the URL you are about to add already exists in your bookmarks.  When this option is enabled and Compass finds you are trying to add an existing URL, Compass will popup a dialog to ask for confirmation.  Default = on.

+ Automatically retrieve Meta info when adding links: Default = off.

+ Most recent file list in File menu: Default = 8.

+ Most recent link list in tray icon menu: The number of items listed in the Tray icon menu “Launch Most Recent.”  Default = 20.

+ Number of threads for checking links: Usually, the more threads for checking links the faster the checking process runs.  However, more threads means more computing resource needed.  So, if you are running short of resource (for example, memory), you might want to decrease this number.  Default = 10.

+ Misc 2:

+ Sort [Launch Most Recent] tray icon menu by title: Default = off.

+ Auto minimize Compass after launching URLs: Default = off.

+ Remove old description when getting new meta info: Default = off.

+ Play sound after adding bookmarks from browser: Default = on.

+ Warn when file modified by other programs: Default = on.

+ Warn when opening more than ?? browser windows: Default = on.

+ Auto lock Compass after ?? mins inactivity: Default = off.

+ Global Hotkey to add bookmarks: Default = blank (no hotkey).

+ Duplicates:

When finding duplicate URLs, Compass will do “intelligent” search according to these settings:

+ Ignore protocol: Treat http://www.softgauge.com/ = www.softgauge.com/.  Default = on.

+ Ignore ending /: Treat http://www.softgauge.com/ = http://www.softgauge.com.  Default = on.

+ Ignore port number: Treat http://www.softgauge.com/ = http://www.softgauge.com:80/.  Default = off.

Bookmarks

This is a dynamic menu to display your bookmarks in the a menu/submenu fashion.  You can remove or enable this menu via the Preferences setting: Misc | Enable Bookmarks menu.

Help

+ Contents

+ How to Register: Instruction for Order/Register process.

+ Order Online: Go to the online secure web order form to order a license.

+ Check Updates: Go to the author’s web page for update information.

+ Contact the Author: Send e-mail to the author.  With your User ID automatically filled in the subject.

+ About Compass

Context Menu (right-click mouse button)

+ Add URL(Ins)

+ Go (F4)

+ New Browser (F6)

+ Netscape (F7)

+ IExplorer (F8)

+ Opera (F9)

+ Check Links

+ Sort

+ Find Similar

+ Edit Item (F2)

+ Move to Fodler

+ Update URL

+ Cut (Ctrl+X)

+ Copy (Ctrl+C)

+ Paste (Ctrl+V)

+ Delete (Del)

+ Set New Item Folder

+ Preferences…

Tray Icon Menu (right-click on the Tray icon)

+ Open Compass

+ Preferences…

+ Launch

+ Launch Most Recent

+ Add to Folder

+ Add to New Item Folder

+ Open Recent File

+ Exit


Toolbar

For detailed description, please see Menu section.

+ Always on Top (Ctrl+Q)

+ Save (Ctrl+S)

+ Add (Ins)

+ Delete (Del)

+ Edit (F2)

+ Undo (Ctrl+Z)

+ Explorer Style (Ctrl+E)

+ Up One Level (Backspace)

+ Cut (Ctrl+X)

+ Copy (Ctrl+C)

+ Paste (Ctrl+V)

+ Go (F4)

+ New Browser (F6)

+ Find in Other Pane

+ Track Both Panes

+ Preferences (F3)

+ Help Contents


Tree Pane

The Tree pane (on the left) shows the whole bookmark file (when Explorer Style is off) or just folders (when Explorer Style), including folder structure and bookmarks themselves.  It is so implemented that the whole client area is “clickable”.  Also, it has “smart selection” coded.  Tree pane accepts the following manipulation:

Mouse

+ Click: to select a single item, or to start “in-label editing” if the item has been selected.

+ Shift-click: to select a range of items.

+ Ctrl-click: to toggle selected or non-selected states.

+ Double-click: to edit an item or invoke Netscape and open the link.

+ Right-click: to invoke the Context menu.

+ Drag-drop: to move selected items.

+ Ctrl-drag-drop: to copy selected items.

+ Alt-drag-drop: to toggle “drop into folder” or “drop onto folder”.

Keyboard

+ Keypad '*': to expand all folders underneath the selected folders.

+ Keypad '+': to expand the selected folders.

+ Keypad '-': to collapse the selected folders.

+ [Insert] key: to add a new item.

+ [Delete] key: to delete selected items.

+ [Enter]: acts the same way as double-click does.

+ [Tab]: to switch to “search bar.”

+ [Shift+Tab]: to switch to List pane

+ [Letter keys]: to jump to the item starting with the letter.

+ [Home, End]: to jump to the head or tail item.

+ [Page Up, Down]: to move the selection a page up or down.

+ [Up, Down]: to move the selection up or down.

+ [Left, Right]: to scroll the Tree window left or right.

+ [Space]: to start in-place editing.


List Pane

The List pane (on the right top) shows only bookmarks.  It is meant to be an index or statistics show box.  It is so implemented that the whole client area is “clickable”.  List pane accepts the following manipulation:

Search Bar

+ Click the label button to reset.

+ Click the combobox button to change search option.

Column Header

+ Right-Click: to bring up a menu for adding or deleting columns.

+ Click: to sort bookmarks by the column, either ascending or descending.

+ Double-click on the column dividers: to automatically adjust the width of column.

Mouse

+ Click: to select a single item, or to start “in-label editing” if the item has been selected.

+ Shift-click: to select a range of items.

+ Ctrl-click: to toggle selected or non-selected states.

+ Double-click: to edit an item or invoke Netscape and open the link.

+ Right-click: to invoke the Context menu.

+ Drag: to move selected items (drop in Tree pane).

+ Ctrl-drag: to copy selected items (ctrl-drop in Tree pane).

+ Alt-drag: to toggle “drop into folder” or “drop onto folder” (alt-drop in Tree pane).

Keyboard

+ [Insert] key: to add a new item.

+ [Delete] key: to delete selected items.

+ [Tab]: to switch to Tree pane.

+ [Shift+Tab]: to switch to “search bar.”

+ [Letter keys]: to jump to the item starting with the letter.

+ [Home, End]: to jump to the head or tail item.

+ [Page Up, Down]: to move the selection a page up or down.

+ [Up, Down]: to move the selection up or down.

+ [Left, Right]: to scroll the Tree window left or right.

+ [Space]: to start in-place editing.


Edit Pane
Description Pane

The Edit pane (on the right bottom) is a convenient place to edit the descriptions of bookmarks or folders.  After you're done with editing and switch to other panes, Compass will remember the content automatically.

Compass display the description of bookmarks or folders you select (either in Tree pane or in List pane) whenever it is available.  If you select more than one item, or "separators", Compass will display "<<no suitable selection>>" in Edit pane.

Description is not always available for different type of file formats.  The Netscape Bookmark file format has the largest capacity to store description information.  The MSIE Favorites format does not provide description capacity.  However, with the help of Compass, you can store description for favorite links, but not for folders.  The Compass HotList format is just a plain list, which has information of only URLs and titles.

Keyboard

+ [Tab]: to insert a Tab to the description text.

+ [ESC]: to switch to Search bar.


Keyboard

Compass has full support for keyboard interface.  The following is an alphabetical list of shortcut keys available in Compass.  For detailed description, please see Menu section.

Tree pane keyboard interface

List pane keyboard interface

Description pane keyboard interface

Shortcuts

+ Ctrl+A	Edit::Add Folder / Select All when in Description pane.

+ Ctrl+C	Edit::Copy.

+ Ctrl+D	Link::Find Duplicate URLs.

+ Ctrl+E	View::Explorer Style.

+ Ctrl+F	Edit::Find.

+ Ctrl+L	Link::Show Dead Links.

+ Ctrl+N	File::New.

+ Ctrl+O	File::Open.

+ Ctrl+P	File::Print.

+ Ctrl+Q	Always on Top.

+ Ctrl+R	File::Reopen.

+ Ctrl+S	File::Save.

+ Ctrl+V	Edit::Paste.

+ Ctrl+X	Edit::Cut.

+ Ctrl+Z	Edit::Undo.

+ Del	Edit::Delete.

+ F1	Help

+ F2	Edit::Edit Item.

+ F3	Tools:Preferences.

+ F4	Tools:Go.

+ F6	Tools:New Browser.

+ F7	Tools:Netscape.

+ F8	Tools:IExplorer.

+ F9	Tools:Opera.

+ F10	Tools:Find in Other Pane.

+ Ins	Edit::Add.

+ Ctrl+Ins	Edit::Add Item.

+ Esc	Jump to Search bar or Description pane.


Agreement
License Agreement

+ This software (Compass 2.x) is SHAREWARE.  You may evaluate this software for 50 days without any obligation.  Use after 50 days requires purchasing a license.

+ This software is distributed AS IS and without any express or implied warranties.

+ The author is not responsible for any damages whatsoever incurred before, during, or after the use of this software.

+ This software cannot be resold or used in any profit-generating activities without the author expressed written permission.

+ This software may be freely distributed, provided that:

a. Such distribution includes only the original archive.  You may not alter, delete, or add any files in the distribution archive.

b. No money is charged to the person receiving the software, beyond reasonable cost of packaging and other overhead.

Single-User License:

Each Single-User License allows:

The registered user and ONLY the registered user to install and run the software (Compass 2.x) on any number of workstations.  When the registered user does not plan to run the software on a workstation, he/she must remove the software (including the registration file) from the workstation.  A registered user must be a person and can not be a company or an organization.  The software may not be installed on a server computer.  To install the software on a server computer, you must purchase enough number of Single-Workstation Licenses (see below) to cover all workstations that have access to the server.

Single-Workstation License:

Each Single-Workstation License allows:

Any number of users to run the software (Compass 2.x) on one and ONLY one workstation.  The software may be installed only on one workstation.  If the user wants to run the software on another workstation, he/she must remove the software (including the registration file) from the original workstation BEFORE he/she installs the software on another workstation.  If the software is to be installed on a server computer, you must purchase enough number of Single-Workstation Licenses to cover all workstations that have access to the server.  For example, if there are 10 workstations, which have access to the server, you need 10 Single-Workstation Licenses to be able to legally install the software on the server.


Registration
How to Register

To register the shareware copy of your Compass, you need to order a license.  After we receive your order, we will send you a registration file, which will turn your shareware copy into a registered copy.  The following are instructions for ordering a license and all available ordering methods.  See also License Agreement, and Benefits of Registration.

Order by check or money order:

Step 1: Print and fill the order form, or edit and print the file “order.txt”.

Step 2: Send the filled order form along with a check or money order drawn on a US bank and payable to Daniel Liu to:

Daniel Liu

P.O. Box 7303

Thousand Oaks, CA 91359

USA

Order by PayPal:

If you have an account with PayPal, you may send money to:

sales@softgauge.com

For the pricing information, please see the order form.

To learn more about PayPal, please visit:

https://secure.paypal.com/refer/pal=sales%40softgauge.com

Order by credit card:

We accept VISA, Master Card, Amex, Discover, Eurocard, Diners, Solo, Switch, JCB, Connect, Delta.  We also accept more than 50 various currencies.  Sensitive credit card information can be transmitted via Secured Online Service, Phone, or Fax.  Please visit:

http://www.softgauge.com/compass/order.htm

for the complete list of your options.

Purchase Orders:

If your company or organization use purchase orders only, you can place your order online at:

http://www.digibuy.com/cgi-bin/order.html?301956+92964685532


Benefits of Registration

The shareware copy is fully functional in the first 50 days of use.  After 50 days, if this copy is still unregistered, some functions might be disabled until the user registers .  The following summarize the benefits for a registered user:

+ No functions will be disabled.

+ No reminder windows any more.

+ You own a legal copy the software.

+ Free upgrades for all v.2.x.

+ Pay only the price difference on v.3.x, if v.3.x priced higher.

+.Special discount on other shareware written by the author.

+ Free and prompt technical support directly from the author via e-mail.

See also: How to Register.


Order Form
Compass 2.80 Order Form

This order form is for orders made by check or money order

For credit card orders, please visit

http://www.softgauge.com/compass/order.htm

Order Information

	Quantity	Unit Price (USD)	Subtotal
Single-User License	__________	x $25.00	_______________
Single-Workstation License	__________	x $25.00	_______________
The license(s) will be sent by e-mail.  If you want to receive a diskette, please check:

___ Please send me a 3.5” diskette	add $5.00	_______________
TOTAL	_______________
Today’s Date	_______________
Customer Information (Please print your info clearly)

Name	____________________________________________________________
Organization	____________________________________________________________
Address	____________________________________________________________
City	________________	State	______________	Zip	_____________
Country	________________	Phone #	________________________________
E-mail	____________________________________________________________
Please mail this order form along with a check or money order payable to Daniel Liu and drawn on a US bank, to:

Daniel Liu

P.O. Box 7303

Thousand Oaks, CA 91359

USA

Thank you for your order.  If you have any questions, please contact the author directly.


Tell other people
One way of doing that is to make Compass downloadable from your home page (if you have a home page).  Or, just tell other people.


Tell the author
Simply click “Contact Author” from the “Help” menu.


Bug Report
Bug Reports/Comments

Compass has been extensively tested before released.  However, having bugs is life.  If you find any bugs, please notify the author. Also, if possible, please describe in detail how to reproduce the bugs.  Also, please indicate what version of Compass you are having problem with.

Any comments are welcome.  The author would like to hear from you.

The author appreciates your bug reports, comments, suggestion, etc.


Acknowledgment

I would like to thank all the beta testers and all 2.6x users for their precious suggestions.


The Author

Daniel Liu

Web: http://www.softgauge.com/


The Author
Compass is written by Daniel Liu.  For technical support, please choose “Contact the Author” from the Help menu of Compass, or send email to daniel at softgauge dot com.


Hot List
The HotList Compass generates is a plain ASCII file.  Each line in the list has the format of “<url> title”.  HotList is convenient for distribution of your favorite links.


color codes
Compass color-codes bookmarks according to the last visit time and the base time period (BTP).  There are five colors used in Compass:

visited within 1 BTP.

visited within 2 BTP.

visited within 3 BTP.

visited within 4 BTP.

never visited.


base time period
Base time period is used by Compass to determine how to color bookmarks.  If you surf the web very often, you might want smaller values, say 2 weeks.  On the other hand, if you visit the web just once in a while, you might want bigger values, say 12 weeks.  The default value is 8 weeks.  The acceptable values is from 1 to 15 weeks.


Smart selection
Smart selection is a way to auto- select or deselect items in Tree pane.  If a folder is selected, all items in this folder is implicitly selected (auto-select).  If some items is this folder has been selected before the folder is selected, these items will be deselected (auto-deselect) because of redundant selection.


merge
Merge: A bookmark is considered to should be added if it is not found in the same folder in both source and target files.  This porcess will keep the hierarchical structure of the target file sync with that of the source file.


Explorer Style
Explorer Style: The second displaying mode.  In this mode, the Tree pane displays only folders, while the List pane displays items in the selected folder in the Tree pane.  It is just like Windows Explorer convention, so it got this name.  As opposed to the Explorer Style is the unique Compass Style, which displays all items in both Tree and List panes.


FlyTip
FlyTip: is a small popup window showing the whole text which were obscured by something else.